<ng-template [ngIf]="hasAdvanced">
  <mat-slide-toggle
    class="advanced-toggle"
    color="primary"
    (change)="toggle($event)"
    >Show advanced settings</mat-slide-toggle
  >
</ng-template>

<ng-container *ngFor="let step of shownSteps$ | async; index as i">
  <shared-step [displayIndex]="i">
    <ng-container
      [ngTemplateOutlet]="stepTemplates.toArray()[step.index].tpl"
    ></ng-container>
  </shared-step>
</ng-container>
